import { ApolloClient, createHttpLink, InMemoryCache } from '@apollo/client/core'

export const apolloClient = () => {

  const httpLink = createHttpLink({
    uri: import.meta.env.VITE_APP_GRAPHQL_ENDPOINT,
    credentials: 'include',
  });


  const apolloClient = new ApolloClient({
    cache: new InMemoryCache(),
    link: httpLink,
    headers: {
      Accept: 'application/json',
      'Accept-Encoding': 'gzip, deflate',
      'Cache-Control': 'no-cache',
      Connection: 'keep-alive',
      'Content-Type': 'application/json',
      // Add other headers as needed
    },
  });
  return apolloClient;
}